mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("F1C3BF78-C3E4-11D3-88E7-00902754C43A") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown) To be added

Provides a set of services that convert a managed assembly to a COM type library and vice versa.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` ``

  For more information on ITypeLib, please see its existing documentation in the MSDN library.

  Converts an assembly to a COM type library.

  An object that implements the ITypeLib interface.

  The assembly to convert. The file name of the resulting type library. A value indicating any special settings. The interface implemented by the caller.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` `` `` `` `` ``

  For more information on ITypeLib, please see its existing documentation in the MSDN library.

  Converts a COM type library to an assembly.

  An object containing the converted type library.

  The object that implements the ITypeLib interface. The file name of the resulting assembly. A value indicating any special settings. interface implemented by the caller. A byte array containing the public key. A object containing the public and private cryptographic key pair. If true, the interfaces require link time checks for permission. If false, the interfaces require run time checks that require a stack walk and are more expensive, but help provide greater protection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.AssemblyBuilder `` `` `` `` `` `` `` ``

  For more information on ITypeLib, please see its existing documentation in the MSDN library.

  Converts a COM type library to an assembly.

  An object containing the converted type library.

  The object that implements the ITypeLib interface. The file name of the resulting assembly. A value indicating any special settings. interface implemented by the caller. A byte array containing the public key. A object containing the public and private cryptographic key pair. The namespace for the resulting assembly. The version of the resulting assembly. If null, the version of the type library is used.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` `` `` `` To be added: an object of type 'Guid' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'string&' To be added: an object of type 'string&' To be added To be added: an object of type 'bool' To be added